%define upstream_name    Mail-Audit
%define upstream_version 2.227

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Self-cleaning fork-respecting tempdirs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.610.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Tempdir)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Net::SMTP)
BuildArch:  noarch

%description
_procmail_ is nasty. It has a tortuous and complicated recipe format, and I
don't like it. I wanted something flexible whereby I could filter my mail
using Perl tests.

Mail::Audit was inspired by Tom Christiansen's _audit_mail_ and
_deliverlib_ programs. It allows a piece of email to be logged, examined,
accepted into a mailbox, filtered, resent elsewhere, rejected, replied to,
and so on. It's designed to allow you to easily create filter programs to
stick in a _.forward_ file or similar.

Mail::Audit groks MIME; when appropriate, it subclasses MIME::Entity. Read
the MIME::Tools man page for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes FAQ LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.227.0-2.mga3
+ Revision: 369389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 14 2011 kharec <kharec> 2.227.0-1.mga2
+ Revision: 167802
- update to 2.227

* Sat Nov 12 2011 kharec <kharec> 2.226.0-1.mga2
+ Revision: 166909
- update to 2.226

* Fri Nov 11 2011 kharec <kharec> 2.225.0-1.mga2
+ Revision: 166760
- imported package perl-Mail-Audit

